Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427266 - media-sound/pulseaudio - When playing Flash plugin based video in browsers, .xsession-errors fills up with "ALSA lib pcm_dsnoop.c:612:(snd_pcm_dsnoop_open) unable to open slave"
Summary: media-sound/pulseaudio - When playing Flash plugin based video in browsers, ....
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-19 21:38 UTC by Harris Landgarten
Modified: 2013-12-23 16:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harris Landgarten 2012-07-19 21:38:55 UTC
the .xsession-errors log is filling with thousands of:

ALSA lib pcm_dsnoop.c:612:(snd_pcm_dsnoop_open) unable to open slave

There is no effect on sound and as far as I can tell all sound related functions are working.

The errors start when a browser, either google-chrome, or firefox plays a flash based video.

Any help is appreciated.
Comment 1 Paul Bredbury 2012-07-19 22:50:53 UTC
dsnoop is for input, e.g. from the microphone, rather than output to the speakers.
Comment 2 Harris Landgarten 2012-07-20 00:14:28 UTC
The front microphone is enabled in alsa-mixer and it shows in Input Devices under pulseaudio volume control. The microphone works but is muted. The errors start when a browser plays something flash based and continue until I close all the browser windows.
Comment 3 Harris Landgarten 2012-07-21 16:15:56 UTC
Additional information. After a reboot .xsession-errors is normal. I played an html5 video with no alsa-lib messages. I then played a flash based video and also no alsa-messages. The flash video was too loud so I opened pulseaudio volume control and the alsa lib error messages started and did not stop even when the video was over. I exited pulseaudio volume control and the errors continued for a little while but then stopped.

It now seems likely that this problem started with a pulseaudio upgrade in the last month.
Comment 4 Jeroen Roovers gentoo-dev 2012-07-24 14:06:12 UTC
1) Please post your `emerge --info' output in a comment.
Comment 5 Harris Landgarten 2012-07-24 15:31:39 UTC
Portage 2.1.11.9 (default/linux/amd64/10.0/desktop/gnome, gcc-4.6.3, glibc-2.15-r2, 3.4.5-gentoo x86_64)
=================================================================
System uname: Linux-3.4.5-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_970_@_3.20GHz-with-gentoo-2.1
Timestamp of tree: Tue, 24 Jul 2012 15:00:01 +0000
app-shells/bash:          4.2_p37::<unknown repository>
dev-java/java-config:     2.1.12::<unknown repository>
dev-lang/python:          2.5.4-r4::<unknown repository>, 2.6.8::<unknown repository>, 2.7.3-r2::<unknown repository>, 3.1.5::<unknown repository>, 3.2.3-r1::<unknown repository>
dev-util/cmake:           2.8.8-r3::<unknown repository>
dev-util/pkgconfig:       0.27::<unknown repository>
sys-apps/baselayout:      2.1-r1::<unknown repository>
sys-apps/openrc:          0.10.5::<unknown repository>
sys-apps/sandbox:         2.6::<unknown repository>
sys-devel/autoconf:       2.13::<unknown repository>, 2.69::<unknown repository>
sys-devel/automake:       1.10.3::<unknown repository>, 1.11.6::<unknown repository>, 1.12.2::<unknown repository>
sys-devel/binutils:       2.22-r1::<unknown repository>
sys-devel/gcc:            4.4.7::<unknown repository>, 4.5.4::<unknown repository>, 4.6.3::<unknown repository>
sys-devel/gcc-config:     1.7.3::<unknown repository>
sys-devel/libtool:        2.4.2::<unknown repository>
sys-devel/make:           3.82-r3::<unknown repository>
sys-kernel/linux-headers: 3.5::<unknown repository> (virtual/os-headers)
sys-libs/glibc:           2.15-r2::<unknown repository>
Repositories: gentoo vmware
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/vmware"
SYNC="rsync://rsync24.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gtk3 gtreamer iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nvidia ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 readline sdl session socialweb sound spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 6 Harris Landgarten 2012-07-24 15:35:04 UTC
My primary package manager is paludis. Here is cave info


cave info
Package Manager Information:
    Package Name              paludis
    Package Version           0.76.0
    Build Date                2012-06-26T07:56:05-0400
    Built with CXX            x86_64-pc-linux-gnu-g++ 4.6.3
    Built with CXXFLAGS        -march=native -O2 -pipe -pedantic
    Built with LDFLAGS        -Wl,-O1 -Wl,--as-needed

Environment Information:
    Format                    paludis
    Config dir                /etc/paludis
    Root                      /
    System Root               /
    World file                /var/db/pkg/world

Repository layman:
    format                    unavailable
    location                  /var/db/paludis/repositories/layman
    sync                      tar+http://git.exherbo.org/layman_repositories.tar.bz2
    sync_options              

Repository gentoo:
    format                    e
    location                  /usr/portage
    builddir                  /var/tmp/paludis
    cache                     /usr/portage/metadata/md5-cache
    distdir                   /usr/portage/distfiles
    eapi_when_unknown         0
    eapi_when_unspecified     0
    eclassdirs                /usr/portage/eclass
    layout                    traditional
    manifest_hashes           SHA256 SHA512 WHIRLPOOL
    names_cache               /usr/portage/.cache/names
    newsdir                   /usr/portage/metadata/news
    profile_eapi_when_unspecified 0
    profile_layout            traditional
    profiles                  /usr/portage/profiles/default/linux/amd64/10.0/desktop/gnome
    securitydir               /usr/portage/metadata/glsa
    setsdir                   /usr/portage/sets
    sync                      rsync://rsync.gentoo.org/gentoo-portage
    sync_options              
    thin_manifests            false
    use_manifest              use
    write_cache               /var/cache/paludis/metadata
    Package information
        app-shells/bash       4.2_p37
        dev-java/java-config  2.1.12
        dev-lang/python       2.5.4-r4 2.6.8 2.7.3-r2 3.1.5 3.2.3-r1
        dev-util/ccache       (none)
        dev-util/cmake        2.8.8-r3
        dev-util/pkgconfig    0.27
        sys-apps/baselayout   2.1-r1
        sys-apps/openrc       0.10.5
        sys-apps/sandbox      2.6
        sys-devel/autoconf    2.13 2.69
        sys-devel/automake    1.10.3 1.11.6 1.12.2
        sys-devel/binutils    2.22-r1
        sys-devel/gcc         4.4.7 4.5.4 4.6.3
        sys-devel/gcc-config  1.7.3
        sys-devel/libtool     2.4.2
        sys-devel/make        3.82-r3
        sys-freebsd/freebsd-lib (none)
        sys-kernel/linux-headers 3.5
        sys-libs/glibc        2.15-r2
        sys-libs/uclibc       (none)

Repository sunrise:
    format                    e
    location                  /var/paludis/repositories/sunrise
    builddir                  /var/tmp/paludis
    cache                     /var/empty
    distdir                   /usr/portage/distfiles
    eapi_when_unknown         0
    eapi_when_unspecified     0
    eclassdirs                /usr/portage/eclass  /var/paludis/repositories/sunrise/eclass
    layout                    traditional
    manifest_hashes           RMD160 SHA1 SHA256
    master_repository         gentoo
    names_cache               /var/paludis/repositories/sunrise/.cache/names
    newsdir                   /var/paludis/repositories/sunrise/metadata/news
    profile_eapi_when_unspecified 0
    profile_layout            traditional
    profiles                  /usr/portage/profiles/default/linux/amd64/10.0/desktop/gnome
    securitydir               /var/paludis/repositories/sunrise/metadata/glsa
    setsdir                   /var/paludis/repositories/sunrise/sets
    sync                      git://git.overlays.gentoo.org/proj/sunrise-reviewed.git git+http://git.overlays.gentoo.org/gitroot/proj/sunrise-reviewed.git git+ssh://git@git.overlays.gentoo.org/proj/sunrise-reviewed.git
    sync_options              
    thin_manifests            false
    use_manifest              use
    write_cache               /var/cache/paludis/metadata

Repository installed:
    format                    vdb
    location                  /var/db/pkg
    builddir                  /var/tmp/paludis
    eapi_when_unknown         0
    names_cache               /var/db/pkg/.cache/names
    root                      /

Repository installed-unpackaged:
    format                    installed_unpackaged
    location                  /var/paludis/installed-unpackaged
    root                      /

Repository local_overlay:
    format                    e
    location                  /usr/local/portage
    builddir                  /var/tmp/paludis
    cache                     /var/empty
    distdir                   /usr/portage/distfiles
    eapi_when_unknown         0
    eapi_when_unspecified     0
    eclassdirs                /usr/portage/eclass  /usr/local/portage/eclass
    layout                    traditional
    manifest_hashes           RMD160 SHA1 SHA256
    master_repository         gentoo
    names_cache               /usr/local/portage/.cache/names
    newsdir                   /usr/local/portage/metadata/news
    profile_eapi_when_unspecified 0
    profile_layout            traditional
    profiles                  /usr/portage/profiles/default/linux/amd64/10.0/desktop/gnome
    securitydir               /usr/local/portage/metadata/glsa
    setsdir                   /usr/local/portage/sets
    sync                      
    sync_options              
    thin_manifests            false
    use_manifest              use
    write_cache               /var/cache/paludis/metadata

Repository vmware:
    format                    e
    location                  /var/paludis/repositories/vmware
    builddir                  /var/tmp/paludis
    cache                     /var/empty
    distdir                   /usr/portage/distfiles
    eapi_when_unknown         0
    eapi_when_unspecified     0
    eclassdirs                /usr/portage/eclass  /var/paludis/repositories/vmware/eclass
    layout                    traditional
    manifest_hashes           SHA256 SHA512 WHIRLPOOL
    master_repository         gentoo
    names_cache               /var/paludis/repositories/vmware/.cache/names
    newsdir                   /var/paludis/repositories/vmware/metadata/news
    profile_eapi_when_unspecified 0
    profile_layout            traditional
    profiles                  /usr/portage/profiles/default/linux/amd64/10.0/desktop/gnome
    securitydir               /var/paludis/repositories/vmware/metadata/glsa
    setsdir                   /var/paludis/repositories/vmware/sets
    sync                      git://git.overlays.gentoo.org/proj/vmware.git git+http://git.overlays.gentoo.org/gitroot/proj/vmware.git git+ssh://git@git.overlays.gentoo.org/proj/vmware.git
    sync_options              
    thin_manifests            true
    use_manifest              use
    write_cache               /var/cache/paludis/metadata
Comment 7 Harris Landgarten 2012-07-24 18:39:37 UTC
The .xsession-errors log fills with the Alsa Lib messages indicated only when either pulse volume control or gnome sound-settings is open. If either are open, errors are posted continuously after sound has been played but the error posting does not end when the sound ends. It only stops when the open sound mixer is closed.
Comment 8 Pacho Ramos gentoo-dev 2012-12-15 12:52:44 UTC
Still valid with latest pulseaudio and alsa-plugins[pulseaudio] installed?
Comment 9 Harris Landgarten 2012-12-15 13:05:18 UTC
problem seems to be fixed. All the pulseaudio errors go to syslog instead of .xsession-errors since I upgraded to gnome-3.6 from the overlay. The messages aren't in /var/log/messages so I assume the issue is fixed